com.explodingpixels.macwidgets

## Class SourceListBizLafColorScheme

- java.lang.Object
- - com.explodingpixels.macwidgets.SourceListStandardColorScheme
  - - com.explodingpixels.macwidgets.SourceListBizLafColorScheme

- All Implemented Interfaces:
    SourceListColorScheme

      public class SourceListBizLafColorScheme
      extends SourceListStandardColorScheme

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Color` | `ACTIVE_BACKGROUND_COLOR`
    `static Color` | `INACTIVE_BACKGROUND_COLOR`

    - ### Fields inherited from class com.explodingpixels.macwidgets.SourceListStandardColorScheme

      `UNSELECTED_COLLAPSED_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceListBizLafColorScheme()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Color` | `getActiveBackgroundColor()` The background color of the `SourceList` when it is in an active window.
    `MacWidgetsPainter<Component>` | `getActiveFocusedSelectedItemPainter()` The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in the active window and has focus.
    `Color` | `getInactiveBackgroundColor()` The background color of the `SourceList` when it is in an inactive window.

    - ### Methods inherited from class com.explodingpixels.macwidgets.SourceListStandardColorScheme

      `getActiveUnfocusedSelectedItemPainter, getActiveUnselectedBadgeColor, getBadgeTextColor, getCategoryTextColor, getCategoryTextShadowColor, getInactiveSelectedItemPainter, getInativeUnselectedBadgeColor, getSelectedBadgeColor, getSelectedCollapsedIcon, getSelectedExpandedIcon, getSelectedItemFontShadowColor, getSelectedItemTextColor, getUnselectedCollapsedIcon, getUnselectedExpandedIcon, getUnselectedItemTextColor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTIVE_BACKGROUND_COLOR

          public static final Color ACTIVE_BACKGROUND_COLOR

    - #### INACTIVE_BACKGROUND_COLOR

          public static final Color INACTIVE_BACKGROUND_COLOR

  - ### Constructor Detail

    - #### SourceListBizLafColorScheme

          public SourceListBizLafColorScheme()

  - ### Method Detail

    - #### getActiveFocusedSelectedItemPainter

          public MacWidgetsPainter<Component> getActiveFocusedSelectedItemPainter()

      Description copied from interface: `SourceListColorScheme`
      The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in the active window and has focus.
      Specified by:
        `getActiveFocusedSelectedItemPainter` in interface `SourceListColorScheme`
      Overrides:
        `getActiveFocusedSelectedItemPainter` in class `SourceListStandardColorScheme`
      Returns:
        the `Painter` to use for painting the selection in an active window where the `SourceList` has focus.

    - #### getActiveBackgroundColor

          public Color getActiveBackgroundColor()

      Description copied from interface: `SourceListColorScheme`
      The background color of the `SourceList` when it is in an active window.
      Specified by:
        `getActiveBackgroundColor` in interface `SourceListColorScheme`
      Overrides:
        `getActiveBackgroundColor` in class `SourceListStandardColorScheme`
      Returns:
        the background color of the `SourceList` when it is in an active window.

    - #### getInactiveBackgroundColor

          public Color getInactiveBackgroundColor()

      Description copied from interface: `SourceListColorScheme`
      The background color of the `SourceList` when it is in an inactive window.
      Specified by:
        `getInactiveBackgroundColor` in interface `SourceListColorScheme`
      Overrides:
        `getInactiveBackgroundColor` in class `SourceListStandardColorScheme`
      Returns:
        the background color of the `SourceList` when it is in an inactive window.